Zalando Product
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-zalando-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "https://www.zalando.de/nike-sportswear-court-borough-recraft-unisex-sneaker-low-white-ni116d0lr-a15.html"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-zalando-products"
payload = { "product": "https://www.zalando.de/nike-sportswear-court-borough-recraft-unisex-sneaker-low-white-ni116d0lr-a15.html" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product: 'https://www.zalando.de/nike-sportswear-court-borough-recraft-unisex-sneaker-low-white-ni116d0lr-a15.html'
})
};
fetch('https://api.neuralverge.ai/functions/v1/run-zalando-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "zalando_product",
"product": "https://www.zalando.de/nike-sportswear-court-borough-recraft-unisex-sneaker-low-white-ni116d0lr-a15.html",
"human": "# Zalando product\n\n- **Product:** https://en.zalando.de/nike-sportswear-court-borough-recraft-unisex-sneaker-low-white-ni116d0lr-a15.html\n- **Proxy traffic:** 1.51 MB\n- **Name:** COURT BOROUGH RECRAFT UNISEX - Low-Top-Sneaker - white\n- **Brand:** Nike Sportswear\n- **Price:** 51.95 EUR (was 64.95, -20%)\n- **In stock:** yes",
"machine": {
"product": {
"@type": "ZalandoProduct",
"id": "NI116D0LR-A15",
"url": "https://www.zalando.de/nike-sportswear-court-borough-recraft-unisex-sneaker-low-white-ni116d0lr-a15.html",
"name": "COURT BOROUGH RECRAFT UNISEX - Low-Top-Sneaker - white",
"brand": "Nike Sportswear",
"brand_alias": "nike-sportswear",
"color": "white",
"price": 51.95,
"list_price": 64.95,
"lowest_price_30d": 57.95,
"discount_percentage": 20,
"currency": "EUR",
"image": "https://img01.ztat.net/article/spp-media-p1/9c1d0a71985b4821948b82a829bd557d/a11206ac44004aad85b036fcd6c91294.jpg?imwidth=800&filter=packshot",
"images": [
"https://img01.ztat.net/article/spp-media-p1/9c1d0a71985b4821948b82a829bd557d/a11206ac44004aad85b036fcd6c91294.jpg?imwidth=1800&filter=packshot",
"https://img01.ztat.net/article/spp-media-p1/9122f3ca0b3140b7bef7006fe296daad/00c132a6bc9f4df9aa8128bbdb9da80e.jpg?imwidth=1800"
],
"description": "Lauf (schnell) zu deinem neuen Lieblings-Borough. Diese überarbeitete Legende wurde für lange Strecken entwickelt und sorgt mit einer Kombination aus recyceltem Material im Obermaterial und an der Auß",
"category": "Low-Top-Sneaker",
"category_id": "4785",
"is_in_stock": true,
"silhouette": "SNEAKER",
"gender": "KIDS",
"flags": [
"Deal",
"Kinder"
],
"return_policy": "30 Tage Rückgaberecht",
"delivery_label": "Kostenloser Versand & Rückversand",
"highlights": [
"Dies ist einer unserer beliebtesten Artikel in diesem Monat"
],
"sizes": [
{
"size": "35.5",
"sku": "NI116D0LR-A15035Y000",
"in_stock": true,
"stock": "MANY",
"price": 51.95
},
{
"size": "36",
"sku": "NI116D0LR-A15040Y000",
"in_stock": true,
"stock": "MANY",
"price": 51.95
}
],
"attributes": {
"Obermaterial": "Lederimitat/Textil",
"Innenmaterial": "Textil",
"Innensohle": "Textil, Gepolstert",
"Sohle": "Abriebfester Gummi",
"Fütterungsdicke": "Wärmeisoliert",
"Materialkonstruktion": "Kunstleder",
"Pflegehinweise": "Bitte vor dem ersten Tragen imprägnieren",
"Sportart": "Basketball",
"Wetter": "Regen",
"Schuhspitze": "Rund",
"Absatzform": "Flach",
"Schaftdetail": "Seitlicher Reißverschluss",
"Verschluss": "Schnürung",
"Muster": "Unifarben",
"Details": "Cut-Outs",
"Funktion": "Atmungsaktiv",
"Extras": "Verstärkte Ferse",
"Außensohle": "Abriebfest",
"Artikelnummer": "NI116D0LR-A15",
"Schuhweite": "Normal",
"Gesamthöhe des Schuhs": "1 cm bei Größe 35.5",
"Absatzhöhe": "Flach/ultraflach",
"Plateauhöhe": "2 cm bei Größe 39"
},
"variant_count": 35,
"variants": [
{
"id": "NI116D0LR-A11",
"url": "https://www.zalando.de/nike-sportswear-court-borough-recraft-unisex-sneaker-low-whiteblack-ni116d0lr-a11.html",
"color": "white/black",
"price": 57.95,
"image": "https://img01.ztat.net/article/spp-media-p1/27d6d4ba96db4f05b99ea3c6a73ed8f8/680f5afbb25e41639c6e118714aab49b.jpg?imwidth=762&filter=packshot"
},
{
"id": "NI116D0LR-A14",
"url": "https://www.zalando.de/nike-sportswear-court-borough-recraft-unisex-sneaker-low-whitepink-foam-ni116d0lr-a14.html",
"color": "white/pink foam",
"price": 45.45,
"image": "https://img01.ztat.net/article/spp-media-p1/ad67613b87c4408a98a097969c4cf7e4/9c5e1c4e720141dcbf7b92eb77581eae.jpg?imwidth=762&filter=packshot"
}
]
},
"response_bytes": 1581118
},
"total_points": 5
}E-commerce & Marketplaces
Zalando Product
Get full Zalando product details by product URL: name, brand, colour, price, list price, discount, 30-day lowest price, images, description, category, stock, sizes with stock levels, attributes (material, care, details) and colour variants. Flat 5 points per successful run.
POST
/
functions
/
v1
/
run-zalando-products
Zalando Product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.